
Name:          mimepull
Version:       1.8
Release:       %mkrel 3
Summary:       MIME streaming extension
Group:         Development/Java
License:       CDDL or GPLv2 with exception
Url:           http://mimepull.java.net/
# svn export https://svn.java.net/svn/mimepull~svn/tags/mimepull-1.8
# rm -rf mimepull-1.8/www
# tar czf mimepull-1.8-src-svn.tar.gz mimepull-1.8
Source0:       mimepull-%{version}-src-svn.tar.gz
Patch0:        mimepull-1.8-pom.patch
BuildRequires: java-devel
BuildRequires: jvnet-parent
BuildRequires: jpackage-utils

BuildRequires: junit

BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-surefire-plugin

BuildRequires: forge-parent
BuildRequires: maven-shared-osgi

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Provides a streaming API to access attachments parts in a MIME message.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

find -name '*.jar' -exec rm -f '{}' \;
find -name '*.class' -exec rm -f '{}' \;
%patch0 -p0

%build

mvn-rpmbuild install javadoc:aggregate

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.8-3.mga4
+ Revision: 507959
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.8-2.mga3
+ Revision: 360073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 gil <gil> 1.8-1.mga3
+ Revision: 220060
- fix BR
- imported package mimepull

